IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/64
Addresses2^64
/64 networks1
- Network
fe80:c25f:dd:dd65::/64- First address
fe80:c25f:dd:dd65::- Last address
fe80:c25f:dd:dd65:ffff:ffff:ffff:ffff- Addresses
- 18,446,744,073,709,551,616 (2^64)
- /64 networks (LANs)
- 1
- Full form
fe80:c25f:00dd:dd65:0000:0000:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
5.6.d.d.d.d.0.0.f.5.2.c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c25f:dd:dd65::/64 makes 256 subnets of /72.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25f:dd:dd65::/72 | fe80:c25f:dd:dd65:ff:ffff:ffff:ffff |
| 2 | fe80:c25f:dd:dd65:100::/72 | fe80:c25f:dd:dd65:1ff:ffff:ffff:ffff |
| 3 | fe80:c25f:dd:dd65:200::/72 | fe80:c25f:dd:dd65:2ff:ffff:ffff:ffff |
| 4 | fe80:c25f:dd:dd65:300::/72 | fe80:c25f:dd:dd65:3ff:ffff:ffff:ffff |
| 5 | fe80:c25f:dd:dd65:400::/72 | fe80:c25f:dd:dd65:4ff:ffff:ffff:ffff |
| 6 | fe80:c25f:dd:dd65:500::/72 | fe80:c25f:dd:dd65:5ff:ffff:ffff:ffff |
| 7 | fe80:c25f:dd:dd65:600::/72 | fe80:c25f:dd:dd65:6ff:ffff:ffff:ffff |
| 8 | fe80:c25f:dd:dd65:700::/72 | fe80:c25f:dd:dd65:7ff:ffff:ffff:ffff |
| 9 | fe80:c25f:dd:dd65:800::/72 | fe80:c25f:dd:dd65:8ff:ffff:ffff:ffff |
| 10 | fe80:c25f:dd:dd65:900::/72 | fe80:c25f:dd:dd65:9ff:ffff:ffff:ffff |
| 11 | fe80:c25f:dd:dd65:a00::/72 | fe80:c25f:dd:dd65:aff:ffff:ffff:ffff |
| 12 | fe80:c25f:dd:dd65:b00::/72 | fe80:c25f:dd:dd65:bff:ffff:ffff:ffff |
| 13 | fe80:c25f:dd:dd65:c00::/72 | fe80:c25f:dd:dd65:cff:ffff:ffff:ffff |
| 14 | fe80:c25f:dd:dd65:d00::/72 | fe80:c25f:dd:dd65:dff:ffff:ffff:ffff |
| 15 | fe80:c25f:dd:dd65:e00::/72 | fe80:c25f:dd:dd65:eff:ffff:ffff:ffff |
| 16 | fe80:c25f:dd:dd65:f00::/72 | fe80:c25f:dd:dd65:fff:ffff:ffff:ffff |
| 17 | fe80:c25f:dd:dd65:1000::/72 | fe80:c25f:dd:dd65:10ff:ffff:ffff:ffff |
| 18 | fe80:c25f:dd:dd65:1100::/72 | fe80:c25f:dd:dd65:11ff:ffff:ffff:ffff |
| 19 | fe80:c25f:dd:dd65:1200::/72 | fe80:c25f:dd:dd65:12ff:ffff:ffff:ffff |
| 20 | fe80:c25f:dd:dd65:1300::/72 | fe80:c25f:dd:dd65:13ff:ffff:ffff:ffff |
| 21 | fe80:c25f:dd:dd65:1400::/72 | fe80:c25f:dd:dd65:14ff:ffff:ffff:ffff |
| 22 | fe80:c25f:dd:dd65:1500::/72 | fe80:c25f:dd:dd65:15ff:ffff:ffff:ffff |
| 23 | fe80:c25f:dd:dd65:1600::/72 | fe80:c25f:dd:dd65:16ff:ffff:ffff:ffff |
| 24 | fe80:c25f:dd:dd65:1700::/72 | fe80:c25f:dd:dd65:17ff:ffff:ffff:ffff |
| 25 | fe80:c25f:dd:dd65:1800::/72 | fe80:c25f:dd:dd65:18ff:ffff:ffff:ffff |
| 26 | fe80:c25f:dd:dd65:1900::/72 | fe80:c25f:dd:dd65:19ff:ffff:ffff:ffff |
| 27 | fe80:c25f:dd:dd65:1a00::/72 | fe80:c25f:dd:dd65:1aff:ffff:ffff:ffff |
| 28 | fe80:c25f:dd:dd65:1b00::/72 | fe80:c25f:dd:dd65:1bff:ffff:ffff:ffff |
| 29 | fe80:c25f:dd:dd65:1c00::/72 | fe80:c25f:dd:dd65:1cff:ffff:ffff:ffff |
| 30 | fe80:c25f:dd:dd65:1d00::/72 | fe80:c25f:dd:dd65:1dff:ffff:ffff:ffff |
| 31 | fe80:c25f:dd:dd65:1e00::/72 | fe80:c25f:dd:dd65:1eff:ffff:ffff:ffff |
| 32 | fe80:c25f:dd:dd65:1f00::/72 | fe80:c25f:dd:dd65:1fff:ffff:ffff:ffff |
| 33 | fe80:c25f:dd:dd65:2000::/72 | fe80:c25f:dd:dd65:20ff:ffff:ffff:ffff |
| 34 | fe80:c25f:dd:dd65:2100::/72 | fe80:c25f:dd:dd65:21ff:ffff:ffff:ffff |
| 35 | fe80:c25f:dd:dd65:2200::/72 | fe80:c25f:dd:dd65:22ff:ffff:ffff:ffff |
| 36 | fe80:c25f:dd:dd65:2300::/72 | fe80:c25f:dd:dd65:23ff:ffff:ffff:ffff |
| 37 | fe80:c25f:dd:dd65:2400::/72 | fe80:c25f:dd:dd65:24ff:ffff:ffff:ffff |
| 38 | fe80:c25f:dd:dd65:2500::/72 | fe80:c25f:dd:dd65:25ff:ffff:ffff:ffff |
| 39 | fe80:c25f:dd:dd65:2600::/72 | fe80:c25f:dd:dd65:26ff:ffff:ffff:ffff |
| 40 | fe80:c25f:dd:dd65:2700::/72 | fe80:c25f:dd:dd65:27ff:ffff:ffff:ffff |
| 41 | fe80:c25f:dd:dd65:2800::/72 | fe80:c25f:dd:dd65:28ff:ffff:ffff:ffff |
| 42 | fe80:c25f:dd:dd65:2900::/72 | fe80:c25f:dd:dd65:29ff:ffff:ffff:ffff |
| 43 | fe80:c25f:dd:dd65:2a00::/72 | fe80:c25f:dd:dd65:2aff:ffff:ffff:ffff |
| 44 | fe80:c25f:dd:dd65:2b00::/72 | fe80:c25f:dd:dd65:2bff:ffff:ffff:ffff |
| 45 | fe80:c25f:dd:dd65:2c00::/72 | fe80:c25f:dd:dd65:2cff:ffff:ffff:ffff |
| 46 | fe80:c25f:dd:dd65:2d00::/72 | fe80:c25f:dd:dd65:2dff:ffff:ffff:ffff |
| 47 | fe80:c25f:dd:dd65:2e00::/72 | fe80:c25f:dd:dd65:2eff:ffff:ffff:ffff |
| 48 | fe80:c25f:dd:dd65:2f00::/72 | fe80:c25f:dd:dd65:2fff:ffff:ffff:ffff |
| 49 | fe80:c25f:dd:dd65:3000::/72 | fe80:c25f:dd:dd65:30ff:ffff:ffff:ffff |
| 50 | fe80:c25f:dd:dd65:3100::/72 | fe80:c25f:dd:dd65:31ff:ffff:ffff:ffff |
| 51 | fe80:c25f:dd:dd65:3200::/72 | fe80:c25f:dd:dd65:32ff:ffff:ffff:ffff |
| 52 | fe80:c25f:dd:dd65:3300::/72 | fe80:c25f:dd:dd65:33ff:ffff:ffff:ffff |
| 53 | fe80:c25f:dd:dd65:3400::/72 | fe80:c25f:dd:dd65:34ff:ffff:ffff:ffff |
| 54 | fe80:c25f:dd:dd65:3500::/72 | fe80:c25f:dd:dd65:35ff:ffff:ffff:ffff |
| 55 | fe80:c25f:dd:dd65:3600::/72 | fe80:c25f:dd:dd65:36ff:ffff:ffff:ffff |
| 56 | fe80:c25f:dd:dd65:3700::/72 | fe80:c25f:dd:dd65:37ff:ffff:ffff:ffff |
| 57 | fe80:c25f:dd:dd65:3800::/72 | fe80:c25f:dd:dd65:38ff:ffff:ffff:ffff |
| 58 | fe80:c25f:dd:dd65:3900::/72 | fe80:c25f:dd:dd65:39ff:ffff:ffff:ffff |
| 59 | fe80:c25f:dd:dd65:3a00::/72 | fe80:c25f:dd:dd65:3aff:ffff:ffff:ffff |
| 60 | fe80:c25f:dd:dd65:3b00::/72 | fe80:c25f:dd:dd65:3bff:ffff:ffff:ffff |
| 61 | fe80:c25f:dd:dd65:3c00::/72 | fe80:c25f:dd:dd65:3cff:ffff:ffff:ffff |
| 62 | fe80:c25f:dd:dd65:3d00::/72 | fe80:c25f:dd:dd65:3dff:ffff:ffff:ffff |
| 63 | fe80:c25f:dd:dd65:3e00::/72 | fe80:c25f:dd:dd65:3eff:ffff:ffff:ffff |
| 64 | fe80:c25f:dd:dd65:3f00::/72 | fe80:c25f:dd:dd65:3fff:ffff:ffff:ffff |
| 65 | fe80:c25f:dd:dd65:4000::/72 | fe80:c25f:dd:dd65:40ff:ffff:ffff:ffff |
| 66 | fe80:c25f:dd:dd65:4100::/72 | fe80:c25f:dd:dd65:41ff:ffff:ffff:ffff |
| 67 | fe80:c25f:dd:dd65:4200::/72 | fe80:c25f:dd:dd65:42ff:ffff:ffff:ffff |
| 68 | fe80:c25f:dd:dd65:4300::/72 | fe80:c25f:dd:dd65:43ff:ffff:ffff:ffff |
| 69 | fe80:c25f:dd:dd65:4400::/72 | fe80:c25f:dd:dd65:44ff:ffff:ffff:ffff |
| 70 | fe80:c25f:dd:dd65:4500::/72 | fe80:c25f:dd:dd65:45ff:ffff:ffff:ffff |
| 71 | fe80:c25f:dd:dd65:4600::/72 | fe80:c25f:dd:dd65:46ff:ffff:ffff:ffff |
| 72 | fe80:c25f:dd:dd65:4700::/72 | fe80:c25f:dd:dd65:47ff:ffff:ffff:ffff |
| 73 | fe80:c25f:dd:dd65:4800::/72 | fe80:c25f:dd:dd65:48ff:ffff:ffff:ffff |
| 74 | fe80:c25f:dd:dd65:4900::/72 | fe80:c25f:dd:dd65:49ff:ffff:ffff:ffff |
| 75 | fe80:c25f:dd:dd65:4a00::/72 | fe80:c25f:dd:dd65:4aff:ffff:ffff:ffff |
| 76 | fe80:c25f:dd:dd65:4b00::/72 | fe80:c25f:dd:dd65:4bff:ffff:ffff:ffff |
| 77 | fe80:c25f:dd:dd65:4c00::/72 | fe80:c25f:dd:dd65:4cff:ffff:ffff:ffff |
| 78 | fe80:c25f:dd:dd65:4d00::/72 | fe80:c25f:dd:dd65:4dff:ffff:ffff:ffff |
| 79 | fe80:c25f:dd:dd65:4e00::/72 | fe80:c25f:dd:dd65:4eff:ffff:ffff:ffff |
| 80 | fe80:c25f:dd:dd65:4f00::/72 | fe80:c25f:dd:dd65:4fff:ffff:ffff:ffff |
| 81 | fe80:c25f:dd:dd65:5000::/72 | fe80:c25f:dd:dd65:50ff:ffff:ffff:ffff |
| 82 | fe80:c25f:dd:dd65:5100::/72 | fe80:c25f:dd:dd65:51ff:ffff:ffff:ffff |
| 83 | fe80:c25f:dd:dd65:5200::/72 | fe80:c25f:dd:dd65:52ff:ffff:ffff:ffff |
| 84 | fe80:c25f:dd:dd65:5300::/72 | fe80:c25f:dd:dd65:53ff:ffff:ffff:ffff |
| 85 | fe80:c25f:dd:dd65:5400::/72 | fe80:c25f:dd:dd65:54ff:ffff:ffff:ffff |
| 86 | fe80:c25f:dd:dd65:5500::/72 | fe80:c25f:dd:dd65:55ff:ffff:ffff:ffff |
| 87 | fe80:c25f:dd:dd65:5600::/72 | fe80:c25f:dd:dd65:56ff:ffff:ffff:ffff |
| 88 | fe80:c25f:dd:dd65:5700::/72 | fe80:c25f:dd:dd65:57ff:ffff:ffff:ffff |
| 89 | fe80:c25f:dd:dd65:5800::/72 | fe80:c25f:dd:dd65:58ff:ffff:ffff:ffff |
| 90 | fe80:c25f:dd:dd65:5900::/72 | fe80:c25f:dd:dd65:59ff:ffff:ffff:ffff |
| 91 | fe80:c25f:dd:dd65:5a00::/72 | fe80:c25f:dd:dd65:5aff:ffff:ffff:ffff |
| 92 | fe80:c25f:dd:dd65:5b00::/72 | fe80:c25f:dd:dd65:5bff:ffff:ffff:ffff |
| 93 | fe80:c25f:dd:dd65:5c00::/72 | fe80:c25f:dd:dd65:5cff:ffff:ffff:ffff |
| 94 | fe80:c25f:dd:dd65:5d00::/72 | fe80:c25f:dd:dd65:5dff:ffff:ffff:ffff |
| 95 | fe80:c25f:dd:dd65:5e00::/72 | fe80:c25f:dd:dd65:5eff:ffff:ffff:ffff |
| 96 | fe80:c25f:dd:dd65:5f00::/72 | fe80:c25f:dd:dd65:5fff:ffff:ffff:ffff |
| 97 | fe80:c25f:dd:dd65:6000::/72 | fe80:c25f:dd:dd65:60ff:ffff:ffff:ffff |
| 98 | fe80:c25f:dd:dd65:6100::/72 | fe80:c25f:dd:dd65:61ff:ffff:ffff:ffff |
| 99 | fe80:c25f:dd:dd65:6200::/72 | fe80:c25f:dd:dd65:62ff:ffff:ffff:ffff |
| 100 | fe80:c25f:dd:dd65:6300::/72 | fe80:c25f:dd:dd65:63ff:ffff:ffff:ffff |
| 101 | fe80:c25f:dd:dd65:6400::/72 | fe80:c25f:dd:dd65:64ff:ffff:ffff:ffff |
| 102 | fe80:c25f:dd:dd65:6500::/72 | fe80:c25f:dd:dd65:65ff:ffff:ffff:ffff |
| 103 | fe80:c25f:dd:dd65:6600::/72 | fe80:c25f:dd:dd65:66ff:ffff:ffff:ffff |
| 104 | fe80:c25f:dd:dd65:6700::/72 | fe80:c25f:dd:dd65:67ff:ffff:ffff:ffff |
| 105 | fe80:c25f:dd:dd65:6800::/72 | fe80:c25f:dd:dd65:68ff:ffff:ffff:ffff |
| 106 | fe80:c25f:dd:dd65:6900::/72 | fe80:c25f:dd:dd65:69ff:ffff:ffff:ffff |
| 107 | fe80:c25f:dd:dd65:6a00::/72 | fe80:c25f:dd:dd65:6aff:ffff:ffff:ffff |
| 108 | fe80:c25f:dd:dd65:6b00::/72 | fe80:c25f:dd:dd65:6bff:ffff:ffff:ffff |
| 109 | fe80:c25f:dd:dd65:6c00::/72 | fe80:c25f:dd:dd65:6cff:ffff:ffff:ffff |
| 110 | fe80:c25f:dd:dd65:6d00::/72 | fe80:c25f:dd:dd65:6dff:ffff:ffff:ffff |
| 111 | fe80:c25f:dd:dd65:6e00::/72 | fe80:c25f:dd:dd65:6eff:ffff:ffff:ffff |
| 112 | fe80:c25f:dd:dd65:6f00::/72 | fe80:c25f:dd:dd65:6fff:ffff:ffff:ffff |
| 113 | fe80:c25f:dd:dd65:7000::/72 | fe80:c25f:dd:dd65:70ff:ffff:ffff:ffff |
| 114 | fe80:c25f:dd:dd65:7100::/72 | fe80:c25f:dd:dd65:71ff:ffff:ffff:ffff |
| 115 | fe80:c25f:dd:dd65:7200::/72 | fe80:c25f:dd:dd65:72ff:ffff:ffff:ffff |
| 116 | fe80:c25f:dd:dd65:7300::/72 | fe80:c25f:dd:dd65:73ff:ffff:ffff:ffff |
| 117 | fe80:c25f:dd:dd65:7400::/72 | fe80:c25f:dd:dd65:74ff:ffff:ffff:ffff |
| 118 | fe80:c25f:dd:dd65:7500::/72 | fe80:c25f:dd:dd65:75ff:ffff:ffff:ffff |
| 119 | fe80:c25f:dd:dd65:7600::/72 | fe80:c25f:dd:dd65:76ff:ffff:ffff:ffff |
| 120 | fe80:c25f:dd:dd65:7700::/72 | fe80:c25f:dd:dd65:77ff:ffff:ffff:ffff |
| 121 | fe80:c25f:dd:dd65:7800::/72 | fe80:c25f:dd:dd65:78ff:ffff:ffff:ffff |
| 122 | fe80:c25f:dd:dd65:7900::/72 | fe80:c25f:dd:dd65:79ff:ffff:ffff:ffff |
| 123 | fe80:c25f:dd:dd65:7a00::/72 | fe80:c25f:dd:dd65:7aff:ffff:ffff:ffff |
| 124 | fe80:c25f:dd:dd65:7b00::/72 | fe80:c25f:dd:dd65:7bff:ffff:ffff:ffff |
| 125 | fe80:c25f:dd:dd65:7c00::/72 | fe80:c25f:dd:dd65:7cff:ffff:ffff:ffff |
| 126 | fe80:c25f:dd:dd65:7d00::/72 | fe80:c25f:dd:dd65:7dff:ffff:ffff:ffff |
| 127 | fe80:c25f:dd:dd65:7e00::/72 | fe80:c25f:dd:dd65:7eff:ffff:ffff:ffff |
| 128 | fe80:c25f:dd:dd65:7f00::/72 | fe80:c25f:dd:dd65:7fff:ffff:ffff:ffff |
| 129 | fe80:c25f:dd:dd65:8000::/72 | fe80:c25f:dd:dd65:80ff:ffff:ffff:ffff |
| 130 | fe80:c25f:dd:dd65:8100::/72 | fe80:c25f:dd:dd65:81ff:ffff:ffff:ffff |
| 131 | fe80:c25f:dd:dd65:8200::/72 | fe80:c25f:dd:dd65:82ff:ffff:ffff:ffff |
| 132 | fe80:c25f:dd:dd65:8300::/72 | fe80:c25f:dd:dd65:83ff:ffff:ffff:ffff |
| 133 | fe80:c25f:dd:dd65:8400::/72 | fe80:c25f:dd:dd65:84ff:ffff:ffff:ffff |
| 134 | fe80:c25f:dd:dd65:8500::/72 | fe80:c25f:dd:dd65:85ff:ffff:ffff:ffff |
| 135 | fe80:c25f:dd:dd65:8600::/72 | fe80:c25f:dd:dd65:86ff:ffff:ffff:ffff |
| 136 | fe80:c25f:dd:dd65:8700::/72 | fe80:c25f:dd:dd65:87ff:ffff:ffff:ffff |
| 137 | fe80:c25f:dd:dd65:8800::/72 | fe80:c25f:dd:dd65:88ff:ffff:ffff:ffff |
| 138 | fe80:c25f:dd:dd65:8900::/72 | fe80:c25f:dd:dd65:89ff:ffff:ffff:ffff |
| 139 | fe80:c25f:dd:dd65:8a00::/72 | fe80:c25f:dd:dd65:8aff:ffff:ffff:ffff |
| 140 | fe80:c25f:dd:dd65:8b00::/72 | fe80:c25f:dd:dd65:8bff:ffff:ffff:ffff |
| 141 | fe80:c25f:dd:dd65:8c00::/72 | fe80:c25f:dd:dd65:8cff:ffff:ffff:ffff |
| 142 | fe80:c25f:dd:dd65:8d00::/72 | fe80:c25f:dd:dd65:8dff:ffff:ffff:ffff |
| 143 | fe80:c25f:dd:dd65:8e00::/72 | fe80:c25f:dd:dd65:8eff:ffff:ffff:ffff |
| 144 | fe80:c25f:dd:dd65:8f00::/72 | fe80:c25f:dd:dd65:8fff:ffff:ffff:ffff |
| 145 | fe80:c25f:dd:dd65:9000::/72 | fe80:c25f:dd:dd65:90ff:ffff:ffff:ffff |
| 146 | fe80:c25f:dd:dd65:9100::/72 | fe80:c25f:dd:dd65:91ff:ffff:ffff:ffff |
| 147 | fe80:c25f:dd:dd65:9200::/72 | fe80:c25f:dd:dd65:92ff:ffff:ffff:ffff |
| 148 | fe80:c25f:dd:dd65:9300::/72 | fe80:c25f:dd:dd65:93ff:ffff:ffff:ffff |
| 149 | fe80:c25f:dd:dd65:9400::/72 | fe80:c25f:dd:dd65:94ff:ffff:ffff:ffff |
| 150 | fe80:c25f:dd:dd65:9500::/72 | fe80:c25f:dd:dd65:95ff:ffff:ffff:ffff |
| 151 | fe80:c25f:dd:dd65:9600::/72 | fe80:c25f:dd:dd65:96ff:ffff:ffff:ffff |
| 152 | fe80:c25f:dd:dd65:9700::/72 | fe80:c25f:dd:dd65:97ff:ffff:ffff:ffff |
| 153 | fe80:c25f:dd:dd65:9800::/72 | fe80:c25f:dd:dd65:98ff:ffff:ffff:ffff |
| 154 | fe80:c25f:dd:dd65:9900::/72 | fe80:c25f:dd:dd65:99ff:ffff:ffff:ffff |
| 155 | fe80:c25f:dd:dd65:9a00::/72 | fe80:c25f:dd:dd65:9aff:ffff:ffff:ffff |
| 156 | fe80:c25f:dd:dd65:9b00::/72 | fe80:c25f:dd:dd65:9bff:ffff:ffff:ffff |
| 157 | fe80:c25f:dd:dd65:9c00::/72 | fe80:c25f:dd:dd65:9cff:ffff:ffff:ffff |
| 158 | fe80:c25f:dd:dd65:9d00::/72 | fe80:c25f:dd:dd65:9dff:ffff:ffff:ffff |
| 159 | fe80:c25f:dd:dd65:9e00::/72 | fe80:c25f:dd:dd65:9eff:ffff:ffff:ffff |
| 160 | fe80:c25f:dd:dd65:9f00::/72 | fe80:c25f:dd:dd65:9fff:ffff:ffff:ffff |
| 161 | fe80:c25f:dd:dd65:a000::/72 | fe80:c25f:dd:dd65:a0ff:ffff:ffff:ffff |
| 162 | fe80:c25f:dd:dd65:a100::/72 | fe80:c25f:dd:dd65:a1ff:ffff:ffff:ffff |
| 163 | fe80:c25f:dd:dd65:a200::/72 | fe80:c25f:dd:dd65:a2ff:ffff:ffff:ffff |
| 164 | fe80:c25f:dd:dd65:a300::/72 | fe80:c25f:dd:dd65:a3ff:ffff:ffff:ffff |
| 165 | fe80:c25f:dd:dd65:a400::/72 | fe80:c25f:dd:dd65:a4ff:ffff:ffff:ffff |
| 166 | fe80:c25f:dd:dd65:a500::/72 | fe80:c25f:dd:dd65:a5ff:ffff:ffff:ffff |
| 167 | fe80:c25f:dd:dd65:a600::/72 | fe80:c25f:dd:dd65:a6ff:ffff:ffff:ffff |
| 168 | fe80:c25f:dd:dd65:a700::/72 | fe80:c25f:dd:dd65:a7ff:ffff:ffff:ffff |
| 169 | fe80:c25f:dd:dd65:a800::/72 | fe80:c25f:dd:dd65:a8ff:ffff:ffff:ffff |
| 170 | fe80:c25f:dd:dd65:a900::/72 | fe80:c25f:dd:dd65:a9ff:ffff:ffff:ffff |
| 171 | fe80:c25f:dd:dd65:aa00::/72 | fe80:c25f:dd:dd65:aaff:ffff:ffff:ffff |
| 172 | fe80:c25f:dd:dd65:ab00::/72 | fe80:c25f:dd:dd65:abff:ffff:ffff:ffff |
| 173 | fe80:c25f:dd:dd65:ac00::/72 | fe80:c25f:dd:dd65:acff:ffff:ffff:ffff |
| 174 | fe80:c25f:dd:dd65:ad00::/72 | fe80:c25f:dd:dd65:adff:ffff:ffff:ffff |
| 175 | fe80:c25f:dd:dd65:ae00::/72 | fe80:c25f:dd:dd65:aeff:ffff:ffff:ffff |
| 176 | fe80:c25f:dd:dd65:af00::/72 | fe80:c25f:dd:dd65:afff:ffff:ffff:ffff |
| 177 | fe80:c25f:dd:dd65:b000::/72 | fe80:c25f:dd:dd65:b0ff:ffff:ffff:ffff |
| 178 | fe80:c25f:dd:dd65:b100::/72 | fe80:c25f:dd:dd65:b1ff:ffff:ffff:ffff |
| 179 | fe80:c25f:dd:dd65:b200::/72 | fe80:c25f:dd:dd65:b2ff:ffff:ffff:ffff |
| 180 | fe80:c25f:dd:dd65:b300::/72 | fe80:c25f:dd:dd65:b3ff:ffff:ffff:ffff |
| 181 | fe80:c25f:dd:dd65:b400::/72 | fe80:c25f:dd:dd65:b4ff:ffff:ffff:ffff |
| 182 | fe80:c25f:dd:dd65:b500::/72 | fe80:c25f:dd:dd65:b5ff:ffff:ffff:ffff |
| 183 | fe80:c25f:dd:dd65:b600::/72 | fe80:c25f:dd:dd65:b6ff:ffff:ffff:ffff |
| 184 | fe80:c25f:dd:dd65:b700::/72 | fe80:c25f:dd:dd65:b7ff:ffff:ffff:ffff |
| 185 | fe80:c25f:dd:dd65:b800::/72 | fe80:c25f:dd:dd65:b8ff:ffff:ffff:ffff |
| 186 | fe80:c25f:dd:dd65:b900::/72 | fe80:c25f:dd:dd65:b9ff:ffff:ffff:ffff |
| 187 | fe80:c25f:dd:dd65:ba00::/72 | fe80:c25f:dd:dd65:baff:ffff:ffff:ffff |
| 188 | fe80:c25f:dd:dd65:bb00::/72 | fe80:c25f:dd:dd65:bbff:ffff:ffff:ffff |
| 189 | fe80:c25f:dd:dd65:bc00::/72 | fe80:c25f:dd:dd65:bcff:ffff:ffff:ffff |
| 190 | fe80:c25f:dd:dd65:bd00::/72 | fe80:c25f:dd:dd65:bdff:ffff:ffff:ffff |
| 191 | fe80:c25f:dd:dd65:be00::/72 | fe80:c25f:dd:dd65:beff:ffff:ffff:ffff |
| 192 | fe80:c25f:dd:dd65:bf00::/72 | fe80:c25f:dd:dd65:bfff:ffff:ffff:ffff |
| 193 | fe80:c25f:dd:dd65:c000::/72 | fe80:c25f:dd:dd65:c0ff:ffff:ffff:ffff |
| 194 | fe80:c25f:dd:dd65:c100::/72 | fe80:c25f:dd:dd65:c1ff:ffff:ffff:ffff |
| 195 | fe80:c25f:dd:dd65:c200::/72 | fe80:c25f:dd:dd65:c2ff:ffff:ffff:ffff |
| 196 | fe80:c25f:dd:dd65:c300::/72 | fe80:c25f:dd:dd65:c3ff:ffff:ffff:ffff |
| 197 | fe80:c25f:dd:dd65:c400::/72 | fe80:c25f:dd:dd65:c4ff:ffff:ffff:ffff |
| 198 | fe80:c25f:dd:dd65:c500::/72 | fe80:c25f:dd:dd65:c5ff:ffff:ffff:ffff |
| 199 | fe80:c25f:dd:dd65:c600::/72 | fe80:c25f:dd:dd65:c6ff:ffff:ffff:ffff |
| 200 | fe80:c25f:dd:dd65:c700::/72 | fe80:c25f:dd:dd65:c7ff:ffff:ffff:ffff |
| 201 | fe80:c25f:dd:dd65:c800::/72 | fe80:c25f:dd:dd65:c8ff:ffff:ffff:ffff |
| 202 | fe80:c25f:dd:dd65:c900::/72 | fe80:c25f:dd:dd65:c9ff:ffff:ffff:ffff |
| 203 | fe80:c25f:dd:dd65:ca00::/72 | fe80:c25f:dd:dd65:caff:ffff:ffff:ffff |
| 204 | fe80:c25f:dd:dd65:cb00::/72 | fe80:c25f:dd:dd65:cbff:ffff:ffff:ffff |
| 205 | fe80:c25f:dd:dd65:cc00::/72 | fe80:c25f:dd:dd65:ccff:ffff:ffff:ffff |
| 206 | fe80:c25f:dd:dd65:cd00::/72 | fe80:c25f:dd:dd65:cdff:ffff:ffff:ffff |
| 207 | fe80:c25f:dd:dd65:ce00::/72 | fe80:c25f:dd:dd65:ceff:ffff:ffff:ffff |
| 208 | fe80:c25f:dd:dd65:cf00::/72 | fe80:c25f:dd:dd65:cfff:ffff:ffff:ffff |
| 209 | fe80:c25f:dd:dd65:d000::/72 | fe80:c25f:dd:dd65:d0ff:ffff:ffff:ffff |
| 210 | fe80:c25f:dd:dd65:d100::/72 | fe80:c25f:dd:dd65:d1ff:ffff:ffff:ffff |
| 211 | fe80:c25f:dd:dd65:d200::/72 | fe80:c25f:dd:dd65:d2ff:ffff:ffff:ffff |
| 212 | fe80:c25f:dd:dd65:d300::/72 | fe80:c25f:dd:dd65:d3ff:ffff:ffff:ffff |
| 213 | fe80:c25f:dd:dd65:d400::/72 | fe80:c25f:dd:dd65:d4ff:ffff:ffff:ffff |
| 214 | fe80:c25f:dd:dd65:d500::/72 | fe80:c25f:dd:dd65:d5ff:ffff:ffff:ffff |
| 215 | fe80:c25f:dd:dd65:d600::/72 | fe80:c25f:dd:dd65:d6ff:ffff:ffff:ffff |
| 216 | fe80:c25f:dd:dd65:d700::/72 | fe80:c25f:dd:dd65:d7ff:ffff:ffff:ffff |
| 217 | fe80:c25f:dd:dd65:d800::/72 | fe80:c25f:dd:dd65:d8ff:ffff:ffff:ffff |
| 218 | fe80:c25f:dd:dd65:d900::/72 | fe80:c25f:dd:dd65:d9ff:ffff:ffff:ffff |
| 219 | fe80:c25f:dd:dd65:da00::/72 | fe80:c25f:dd:dd65:daff:ffff:ffff:ffff |
| 220 | fe80:c25f:dd:dd65:db00::/72 | fe80:c25f:dd:dd65:dbff:ffff:ffff:ffff |
| 221 | fe80:c25f:dd:dd65:dc00::/72 | fe80:c25f:dd:dd65:dcff:ffff:ffff:ffff |
| 222 | fe80:c25f:dd:dd65:dd00::/72 | fe80:c25f:dd:dd65:ddff:ffff:ffff:ffff |
| 223 | fe80:c25f:dd:dd65:de00::/72 | fe80:c25f:dd:dd65:deff:ffff:ffff:ffff |
| 224 | fe80:c25f:dd:dd65:df00::/72 | fe80:c25f:dd:dd65:dfff:ffff:ffff:ffff |
| 225 | fe80:c25f:dd:dd65:e000::/72 | fe80:c25f:dd:dd65:e0ff:ffff:ffff:ffff |
| 226 | fe80:c25f:dd:dd65:e100::/72 | fe80:c25f:dd:dd65:e1ff:ffff:ffff:ffff |
| 227 | fe80:c25f:dd:dd65:e200::/72 | fe80:c25f:dd:dd65:e2ff:ffff:ffff:ffff |
| 228 | fe80:c25f:dd:dd65:e300::/72 | fe80:c25f:dd:dd65:e3ff:ffff:ffff:ffff |
| 229 | fe80:c25f:dd:dd65:e400::/72 | fe80:c25f:dd:dd65:e4ff:ffff:ffff:ffff |
| 230 | fe80:c25f:dd:dd65:e500::/72 | fe80:c25f:dd:dd65:e5ff:ffff:ffff:ffff |
| 231 | fe80:c25f:dd:dd65:e600::/72 | fe80:c25f:dd:dd65:e6ff:ffff:ffff:ffff |
| 232 | fe80:c25f:dd:dd65:e700::/72 | fe80:c25f:dd:dd65:e7ff:ffff:ffff:ffff |
| 233 | fe80:c25f:dd:dd65:e800::/72 | fe80:c25f:dd:dd65:e8ff:ffff:ffff:ffff |
| 234 | fe80:c25f:dd:dd65:e900::/72 | fe80:c25f:dd:dd65:e9ff:ffff:ffff:ffff |
| 235 | fe80:c25f:dd:dd65:ea00::/72 | fe80:c25f:dd:dd65:eaff:ffff:ffff:ffff |
| 236 | fe80:c25f:dd:dd65:eb00::/72 | fe80:c25f:dd:dd65:ebff:ffff:ffff:ffff |
| 237 | fe80:c25f:dd:dd65:ec00::/72 | fe80:c25f:dd:dd65:ecff:ffff:ffff:ffff |
| 238 | fe80:c25f:dd:dd65:ed00::/72 | fe80:c25f:dd:dd65:edff:ffff:ffff:ffff |
| 239 | fe80:c25f:dd:dd65:ee00::/72 | fe80:c25f:dd:dd65:eeff:ffff:ffff:ffff |
| 240 | fe80:c25f:dd:dd65:ef00::/72 | fe80:c25f:dd:dd65:efff:ffff:ffff:ffff |
| 241 | fe80:c25f:dd:dd65:f000::/72 | fe80:c25f:dd:dd65:f0ff:ffff:ffff:ffff |
| 242 | fe80:c25f:dd:dd65:f100::/72 | fe80:c25f:dd:dd65:f1ff:ffff:ffff:ffff |
| 243 | fe80:c25f:dd:dd65:f200::/72 | fe80:c25f:dd:dd65:f2ff:ffff:ffff:ffff |
| 244 | fe80:c25f:dd:dd65:f300::/72 | fe80:c25f:dd:dd65:f3ff:ffff:ffff:ffff |
| 245 | fe80:c25f:dd:dd65:f400::/72 | fe80:c25f:dd:dd65:f4ff:ffff:ffff:ffff |
| 246 | fe80:c25f:dd:dd65:f500::/72 | fe80:c25f:dd:dd65:f5ff:ffff:ffff:ffff |
| 247 | fe80:c25f:dd:dd65:f600::/72 | fe80:c25f:dd:dd65:f6ff:ffff:ffff:ffff |
| 248 | fe80:c25f:dd:dd65:f700::/72 | fe80:c25f:dd:dd65:f7ff:ffff:ffff:ffff |
| 249 | fe80:c25f:dd:dd65:f800::/72 | fe80:c25f:dd:dd65:f8ff:ffff:ffff:ffff |
| 250 | fe80:c25f:dd:dd65:f900::/72 | fe80:c25f:dd:dd65:f9ff:ffff:ffff:ffff |
| 251 | fe80:c25f:dd:dd65:fa00::/72 | fe80:c25f:dd:dd65:faff:ffff:ffff:ffff |
| 252 | fe80:c25f:dd:dd65:fb00::/72 | fe80:c25f:dd:dd65:fbff:ffff:ffff:ffff |
| 253 | fe80:c25f:dd:dd65:fc00::/72 | fe80:c25f:dd:dd65:fcff:ffff:ffff:ffff |
| 254 | fe80:c25f:dd:dd65:fd00::/72 | fe80:c25f:dd:dd65:fdff:ffff:ffff:ffff |
| 255 | fe80:c25f:dd:dd65:fe00::/72 | fe80:c25f:dd:dd65:feff:ffff:ffff:ffff |
| 256 | fe80:c25f:dd:dd65:ff00::/72 | fe80:c25f:dd:dd65:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |